package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 单位换算对象 unit_conversion
 * 
 * @author ruoyi
 * @date 2025-02-04
 */
public class UnitConversion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String unitType;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String unitName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer baseUnit;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String conversionFactor;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String unitTypeName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUnitType(String unitType) 
    {
        this.unitType = unitType;
    }

    public String getUnitType() 
    {
        return unitType;
    }
    public void setUnitName(String unitName) 
    {
        this.unitName = unitName;
    }

    public String getUnitName() 
    {
        return unitName;
    }
    public void setBaseUnit(Integer baseUnit) 
    {
        this.baseUnit = baseUnit;
    }

    public Integer getBaseUnit() 
    {
        return baseUnit;
    }
    public void setConversionFactor(String conversionFactor) 
    {
        this.conversionFactor = conversionFactor;
    }

    public String getConversionFactor() 
    {
        return conversionFactor;
    }
    public void setUnitTypeName(String unitTypeName) 
    {
        this.unitTypeName = unitTypeName;
    }

    public String getUnitTypeName() 
    {
        return unitTypeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("unitType", getUnitType())
            .append("unitName", getUnitName())
            .append("baseUnit", getBaseUnit())
            .append("conversionFactor", getConversionFactor())
            .append("unitTypeName", getUnitTypeName())
            .toString();
    }
}
